pw_mempool_events Struct Reference
Utilities » Memory Blocks

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| the pool is destroyed More...
void(* | added )(void *data, struct pw_memblock *block)
| a new memory block is added to the pool More...
void(* | removed )(void *data, struct pw_memblock *block)
| a memory block is removed from the pool More...

## Field Documentation

## version

uint32_t pw_mempool_events::version

## destroy

void(* pw_mempool_events::destroy) (void *data)

the pool is destroyed

## added

void(* pw_mempool_events::added) (void *data, struct pw_memblock *block)

a new memory block is added to the pool

## removed

void(* pw_mempool_events::removed) (void *data, struct pw_memblock *block)

a memory block is removed from the pool

The documentation for this struct was generated from the following file:

- pipewire/mem.h